Package org.jboss.logmanager.handlers

# Enum SyslogHandler.Facility

java.lang.Object
java.lang.Enum<SyslogHandler.Facility>
org.jboss.logmanager.handlers.SyslogHandler.Facility

All Implemented Interfaces:
  `Serializable`, `Comparable<SyslogHandler.Facility>`, `java.lang.constant.Constable`

Enclosing class:
  `SyslogHandler`

public static enum SyslogHandler.Facility extends Enum<SyslogHandler.Facility>
Facility as defined by RFC-5424 (http://tools.ietf.org/html/rfc5424) and RFC-3164 (http://tools.ietf.org/html/rfc3164).

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLOCK_DAEMON`
`CLOCK_DAEMON2`
`FTP_DAEMON`
`KERNEL`
`LINE_PRINTER`
`LOCAL_USE_0`
`LOCAL_USE_1`
`LOCAL_USE_2`
`LOCAL_USE_3`
`LOCAL_USE_4`
`LOCAL_USE_5`
`LOCAL_USE_6`
`LOCAL_USE_7`
`LOG_ALERT`
`LOG_AUDIT`
`MAIL_SYSTEM`
`NETWORK_NEWS`
`NTP`
`SECURITY`
`SECURITY2`
`SYSLOGD`
`SYSTEM_DAEMONS`
`USER_LEVEL`
`UUCP`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static SyslogHandler.Facility`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SyslogHandler.Facility[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### KERNEL

public static final SyslogHandler.Facility KERNEL

### USER_LEVEL

public static final SyslogHandler.Facility USER_LEVEL

### MAIL_SYSTEM

public static final SyslogHandler.Facility MAIL_SYSTEM

### SYSTEM_DAEMONS

public static final SyslogHandler.Facility SYSTEM_DAEMONS

### SECURITY

public static final SyslogHandler.Facility SECURITY

### SYSLOGD

public static final SyslogHandler.Facility SYSLOGD

### LINE_PRINTER

public static final SyslogHandler.Facility LINE_PRINTER

### NETWORK_NEWS

public static final SyslogHandler.Facility NETWORK_NEWS

### UUCP

public static final SyslogHandler.Facility UUCP

### CLOCK_DAEMON

public static final SyslogHandler.Facility CLOCK_DAEMON

### SECURITY2

public static final SyslogHandler.Facility SECURITY2

### FTP_DAEMON

public static final SyslogHandler.Facility FTP_DAEMON

### NTP

public static final SyslogHandler.Facility NTP

### LOG_AUDIT

public static final SyslogHandler.Facility LOG_AUDIT

### LOG_ALERT

public static final SyslogHandler.Facility LOG_ALERT

### CLOCK_DAEMON2

public static final SyslogHandler.Facility CLOCK_DAEMON2

### LOCAL_USE_0

public static final SyslogHandler.Facility LOCAL_USE_0

### LOCAL_USE_1

public static final SyslogHandler.Facility LOCAL_USE_1

### LOCAL_USE_2

public static final SyslogHandler.Facility LOCAL_USE_2

### LOCAL_USE_3

public static final SyslogHandler.Facility LOCAL_USE_3

### LOCAL_USE_4

public static final SyslogHandler.Facility LOCAL_USE_4

### LOCAL_USE_5

public static final SyslogHandler.Facility LOCAL_USE_5

### LOCAL_USE_6

public static final SyslogHandler.Facility LOCAL_USE_6

### LOCAL_USE_7

public static final SyslogHandler.Facility LOCAL_USE_7

## Method Details

### values

public static SyslogHandler.Facility[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SyslogHandler.Facility valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<SyslogHandler.Facility>`